List loans
curl --request GET \
--url https://api.exchange.coinbase.com/loans \
--header 'cb-access-key: <api-key>' \
--header 'cb-access-passphrase: <api-key>' \
--header 'cb-access-sign: <api-key>' \
--header 'cb-access-timestamp: <api-key>'import requests
url = "https://api.exchange.coinbase.com/loans"
headers = {
"cb-access-key": "<api-key>",
"cb-access-passphrase": "<api-key>",
"cb-access-sign": "<api-key>",
"cb-access-timestamp": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'cb-access-key': '<api-key>',
'cb-access-passphrase': '<api-key>',
'cb-access-sign': '<api-key>',
'cb-access-timestamp': '<api-key>'
}
};
fetch('https://api.exchange.coinbase.com/loans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"currency": "<string>",
"principal_amount": "<string>",
"outstanding_principal_amount": "<string>",
"interest_rate": "<string>",
"interest_currency": "<string>",
"status": "loan_pending",
"effective_at": "2023-11-07T05:31:56Z",
"closed_at": "2023-11-07T05:31:56Z",
"term_start_date": "2023-11-07T05:31:56Z",
"term_end_date": "2023-11-07T05:31:56Z"
}
]{
"message": "<string>"
}Loan
List loans
Accepts zero or more loan IDs as input. If no loan IDs are specified, it returns all loans for the user. Otherwise it returns only the loan IDs specified.
GET
/
loans
List loans
Coinbase Exchange Loans ProgramSee Coinbase Exchange Loans Program for program details including qualification criteria and sample terms.
CautionThe lending rate limit is 10 RPS per profile.
Authorizations
Query Parameters
Response
Available options:
loan_pending, loan_active, loan_canceled, loan_closed Was this page helpful?
⌘I